void check() {
    //注释掉已经测试通过的函数
    check1();
    check2();
    check3();
}

//确定小车的机械原点,手扶小车,
//启动后各个方向摇晃小车,这样能更精确得角度值
//最后固定在平衡位置,串口监视器应该打印数值0左右,如果相差较大
//将calcAngle文件中的offset_angle变量修改为你看到的数字
//同时,向前(小车前进的方向,按照超声波模块得方向)倾斜时,串口应该打印正值
//先后倾斜时,串口应该打印负值
void check1() {
    extern float angle;
    while (1) {
        if (!updateIMU()) continue;
        Serial.println(angle);
    }
}

//确定左轮PWM为正数时,左轮旋转方向为驱动小车前进的方向
//此时小车应该向右转圈
//如果不是,需要调换(插在马达驱动)马达端子线顺序
//同时,串口监视器输出正数的速度值
//如果不是,需要交换左边马达上的编码器线(A,B互换)
//如果输出为0,检查编码器线是否连接倒A0,A1引脚
void check2() {
    digitalWrite(12, HIGH);
    analogWrite(11, 150);
    extern volatile long encodeCounterL;
    static long l = 0;
    while (1) {
        Serial.println(encodeCounterL - l);
        l = encodeCounterL;
        delay(500);
    }
}

//确定右轮PWM为正数时,右轮旋转方向为驱动小车前进的方向
//此时小车应该向左转圈
//如果不是,需要调换(插在马达驱动)马达端子线顺序
//同时,串口监视器输出正数的速度值
//如果不是,需要交换右边马达上的编码器线(A,B互换)
//如果输出为0,检查编码器线是否连接倒A2,A3引脚
void check3() {
    digitalWrite(8, LOW);
    analogWrite(3, 150);
    extern volatile long encodeCounterR;
    static long l = 0;
    while (1) {
        Serial.println(encodeCounterR - l);
        l = encodeCounterR;
        delay(500);
    }
}
